#ifndef FIREBALL_PARTICLE_SYSTEM_H
#define FIREBALL_PARTICLE_SYSTEM_H

#include "ParticleSystem.h"

class FireballParticleSystem : public ParticleSystem{
  private:
    void initParticle(Particle* particle);
    bool allowRenew;
  public:   
    FireballParticleSystem(int numParticles);
    ~FireballParticleSystem();
    
    virtual void idle(float deltaTime);
    virtual void draw();
    void explode();
    
    bool getAllowRenew() { return allowRenew; }
    void setAllowRenew(bool renew) { allowRenew = renew; }
    
};

#endif
