#ifndef MELTING_MODEL_PARTICLE_SYSTEM_H
#define MELTING_MODEL_PARTICLE_SYSTEM_H

#include "ParticleSystem.h"
#include "Model.h"

class MeltingModelParticleSystem : public ParticleSystem{
  private:
    Model* model;
    GLfloat r; //red color component
    GLfloat g; //green color component
    GLfloat b; //blue color component
    float velocity;    
  public:   
    MeltingModelParticleSystem(Model* mod, float dropSize,
                       GLfloat r, GLfloat g, GLfloat b);
    ~MeltingModelParticleSystem();
    
    void draw();
    virtual void idle(float deltaTime);
    void reset();
};

#endif
