#ifndef _WALLMODEL_H_
#define _WALLMODEL_H_

#define BRICK_WALL 1
#define WOOD_WALL 2
#define WHITE_WALL 3

#include "Model.h"

class WallModel : public Model {
    
private:

    float length;

public:

    WallModel(int wall_type);
    
    void setScale(float length);
    
    void draw();
    
    void getBoundingVolume(float *minX,float *maxX,
                           float *minY,float *maxY,
                           float *minZ,float *maxZ);

};

#endif //_WALLMODEL_H_
