#ifndef _DETECTOR_H_
#define _DETECTOR_H_

#include <list>
class Object;
class Enemy;

class Detector {
    
private:

    std::list<Object*> objects;
    
    float dist(float x0, float y0, float z0, float x1, float y1, float z1);
    
public:

    Detector();
    Object* collisionDetect(Object* object, float x, float y, float z);
    void addObject(Object* object);
    void removeObject(Object* object);
    void idle(float deltaTime);
    Enemy* findEnemyByNum(int num);

};

#endif //_DETECTOR_H_
