#ifndef SKYBOX_H
#define SKYBOX_H

#include <GL/glut.h>

class Skybox { 
    private:
        GLuint frontTex;
        GLuint backTex;
        GLuint leftTex;
        GLuint rightTex;
        GLuint upTex;
        GLuint downTex;
        
        float xRot;
        float yRot;
        float zRot;
        
    public:
    
        Skybox(char* frontTexture, char* backTexture, char* leftTexture, char* rightTexture, char* upTexture, char* downTexture);
        
        void setXRot(float xRot) { this->xRot = xRot; }
        float getXRot() { return xRot; }
        
        void setYRot(float yRot) { this->yRot = yRot; }
        float getYRot() { return yRot; }
        
        void setZRot(float zRot) { this->zRot = zRot; }
        float getZRot() { return zRot; }
        
        void draw();    
};

#endif
